## Creating Issues
- Have a look at the [FAQ](https://github.com/Epix37/Hearthstone-Deck-Tracker/wiki/FAQ).
- Check if a similar issue already exists (use the search function).
- In case of a bug/crash/problem: Add as much detail as possible, including crash reports/logs ([see here](https://github.com/Epix37/Hearthstone-Deck-Tracker/wiki/Reporting-Issues)).

## Contributing

### Coding style

1. Always use tabs. 
2. Always place braces on new lines.
3. Use [C# 6](https://github.com/dotnet/roslyn/wiki/New-Language-Features-in-C%23-6) whenever possible. 
4. Follow the [standard MS C# naming conventions](https://msdn.microsoft.com/en-us/library/ms229002(v=vs.110).aspx) 
([short version](http://programmers.stackexchange.com/a/224910)). 
Also see: [How to name things in programming](http://www.slideshare.net/pirhilton/how-to-name-things-the-hardest-problem-in-programming)
5. Know when to make exceptions.

### Commits and Pull Requests

Keep the commit log as healthy as the code. It is one of the first places new contributors will look at the project.

1. No more than one change per commit. There should be no changes in a commit which are unrelated to its message.
2. Follow [these conventions](http://chris.beams.io/posts/git-commit/) when writing the commit message.
3. Keep the diffs as clean as possible. Avoid unnecessary line changes.

When filing a Pull Request, make sure it is rebased on top of most recent master.
If you need to modify it or amend it in some way, you should always appropriately 
[fixup](https://help.github.com/articles/about-git-rebase/) the issues in git and force-push your changes to your fork.

Also see: [Github Help: Using Pull Requests](https://help.github.com/articles/using-pull-requests/)

### Need help?

You can always ask for help on [Gitter](https://gitter.im/Epix37/Hearthstone-Deck-Tracker) or the HearthSim IRC channel, `#Hearthsim` on [Freenode](https://freenode.net/).
